

#    support for Web Service access  -  provides application specific support

global MIDAS_DataAcquisitionControlServer_Verbose
set MIDAS_DataAcquisitionControlServer_Verbose 0

#   include other program files

global env

    set f [file join $env(MIDASBASE) TclHttpd Html AIDA RunControl common.tcl]
    set z [catch {source $f} m]
    if {$z != 0} {puts "RunControl returned z=$z and $m"}

    set f [file join $env(MIDASBASE) TclHttpd Html AIDA RunControl sys.tcl]
    set z [catch {source $f} m]
    if {$z != 0} {puts "RunControl returned z=$z and $m"}

    set f [file join $env(MIDASBASE) TclHttpd Html AIDA RunControl stats.tcl]
    set z [catch {source $f} m]
    if {$z != 0} {puts "RunControl returned z=$z and $m"}


proc Appdo_GetOption {args} {   

   if {[llength $args] == 1} {set args [first $args]}

   set state [lindex $args 0]
   set opt [lindex $args 1]

   set cmd [first $opt]

   set rc "none"

    switch $cmd {
       RawData    {set rc [Dump_Raw_AIDA_Data]}
       HistEnable {set rc [ReadNetVar NetVar.DACQ.Chistenable]}
       XferEnable {set rc [ReadNetVar NetVar.DACQ.Ctxenable]}
       default    {puts "GetOption: Unknown Acquisition Option state=$state; opt=\"$opt\"; cmd=$cmd"}
    }   

    return "$rc"
}

